package com.example.chemical.receiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.LogUtils;

public class ProcessReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        // 其他应用发送过来的信息
        if (!AppUtils.getAppPackageName().equals(intent.getPackage())) {
            LogUtils.d(intent, intent.getAction(), intent.getBooleanExtra("isDebug", false));
        }
    }
}
